Bug 834363 - [abrt] claws-mail-3.8.0-3.fc17: toolbar_comp_set_sensitive: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
[abrt] claws-mail-3.8.0-3.fc17: toolbar_comp_set_sensitive: Process /usr/bin/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: claws-mail (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
abrt_hash:3040bed7916887f15b891e34e68...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 12:22 EDT by Cristian Paul Peñaranda Rojas
Modified: 2013-07-31 14:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 14:30:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.09 KB, text/plain)
2012-06-21 12:22 EDT, Cristian Paul Peñaranda Rojas
no flags Details
File: maps (32.15 KB, text/plain)
2012-06-21 12:22 EDT, Cristian Paul Peñaranda Rojas
no flags Details
File: dso_list (10.40 KB, text/plain)
2012-06-21 12:23 EDT, Cristian Paul Peñaranda Rojas
no flags Details

  None (edit)
Description Cristian Paul Peñaranda Rojas 2012-06-21 12:22:52 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        claws-mail
crash_function: toolbar_comp_set_sensitive
executable:     /usr/bin/claws-mail
kernel:         3.4.3-1.fc17.i686
pid:            31852
pwd:            /home/paul
time:           Thu 21 Jun 2012 11:08:06 AM COT
uid:            1000
username:       paul

backtrace:      Text file, 22625 bytes
dso_list:       Text file, 10648 bytes
maps:           Text file, 32920 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/paul/2

comment:
:- I was writing a mail
:
:- Wasnt able to send because bad smtp config that confirmed viewing the log
:
:- So i Clicked on send later
:
:- Then tried to close compose windows
:
:- A dialoag appeared and askme about save a draft or discard, not sure if clicked something there, but the windows just got closed including the claws main one too

core_backtrace:
:440e2252a87f5464b95e083311926013e364dabb 0x1dbee2 toolbar_comp_set_sensitive [exe] -
:440e2252a87f5464b95e083311926013e364dabb 0x790a6 - [exe] -
:440e2252a87f5464b95e083311926013e364dabb 0x882a1 - [exe] -
:440e2252a87f5464b95e083311926013e364dabb 0x95a70 compose_toolbar_cb [exe] -
:440e2252a87f5464b95e083311926013e364dabb 0x1d3c7f - [exe] -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xebbf g_cclosure_marshal_VOID__VOIDv libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xd042 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26486 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x27315 g_signal_emit_by_name libgobject-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x24a0b2 - libgtk-x11-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xebbf g_cclosure_marshal_VOID__VOIDv libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xd042 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26486 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x7ba3a gtk_button_clicked libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x7d0d8 - libgtk-x11-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xeb9b g_cclosure_marshal_VOID__VOIDv libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xb668 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xd042 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26486 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x7b94a gtk_button_released libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x7b9a5 - libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x150f62 - libgtk-x11-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xbbbe - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x1e6e8 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26a4e g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x2a6e03 - libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x14e9f4 gtk_propagate_event libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x14eda0 gtk_main_do_event libgtk-x11-2.0.so.0 -
:58c8cef120f1482880240f8c8a21b090c8668f77 0x5e439 - libgdk-x11-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x46feb g_main_context_dispatch libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47390 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x477f3 g_main_loop_run libglib-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x14dac0 gtk_main libgtk-x11-2.0.so.0 -
:440e2252a87f5464b95e083311926013e364dabb 0x3e31b main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1075
:HOSTNAME=meter
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/paul/.gnupg/S.gpg-agent:1096:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=c049302ea200daffea256e7d00000011-1340284043.670289-1205178284
:GNOME_KEYRING_CONTROL=/run/user/paul/keyring-y8Wami
:IMSETTINGS_MODULE=none
:USER=paul
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-tdGBHQRqS944/agent.944
:USERNAME=paul
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/paul
:DESKTOP_SESSION=xfce
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/paul/.local/bin:/home/paul/bin
:QT_IM_MODULE=xim
:PWD=/home/paul
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=942
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/paul
:XDG_SEAT=seat0
:LOGNAME=paul
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-vIbEWYOGCg,guid=565b17419266e498c914ea000000003b
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/paul
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-paul-a5iPy9/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1105,unix/unix:/tmp/.ICE-unix/1105
:DISPLAY=:0.0
:DESKTOP_STARTUP_ID=xfce4-panel/claws-mail/1113-0-meter_TIME10260823

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 13952                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       13952                13952                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/paul/.xsession-errors
:pos:	3200
:flags:	02002
:2:/home/paul/.xsession-errors
:pos:	3200
:flags:	02002
:3:/dev/urandom
:pos:	0
:flags:	02000000
:4:socket:[1370104]
:pos:	0
:flags:	02
:5:socket:[1370105]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[1370106]
:pos:	0
:flags:	02004002
:8:socket:[1370434]
:pos:	0
:flags:	02004002
:9:/home/paul/.claws-mail/claws.log
:pos:	10842
:flags:	0100001
:10:/home/paul/.claws-mail/filtering.log
:pos:	45
:flags:	0100001
:11:socket:[1371166]
:pos:	0
:flags:	02004002
:12:anon_inode:inotify
:pos:	0
:flags:	02004000
:13:pipe:[1370458]
:pos:	0
:flags:	00
:14:pipe:[1370458]
:pos:	0
:flags:	01
:15:pipe:[1370459]
:pos:	0
:flags:	00
:16:pipe:[1370459]
:pos:	0
:flags:	01
:17:socket:[1509054]
:pos:	0
:flags:	04002
:18:socket:[1394273]
:pos:	0
:flags:	02000002

smolt_data:
:
:
:General
:=================================
:UUID: 9aa1053b-4849-4e12-9b52-08bd19f37d0e
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 3293.09
:CPU Vendor: AuthenticAMD
:CPU Model: AMD E-450 APU with Radeon(tm) HD Graphics
:CPU Stepping: 0
:CPU Family: 20
:CPU Model Num: 2
:Number of CPUs: 2
:CPU Speed: 1650
:System Memory: 1760
:System Swap: 3551
:Vendor: SAMSUNG ELECTRONICS CO., LTD.
:System: 305U1A 03PS
:Form factor: Laptop
:Kernel: 3.4.3-1.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17297:5197:50688) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4130:5392:5197:50688) pci, None, HOST/PCI, Family 14h Processor Root Complex
:(4098:4884:5197:50688) pci, snd_hda_intel, MULTIMEDIA, Wrestler HDMI Audio [Radeon HD 6250/6310]
:(4098:38918:5197:50688) pci, radeon, VIDEO, N/A
:(4130:5912:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 6
:(4130:5892:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 4
:(4130:5913:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 7
:(4130:5910:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 5
:(4130:5889:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 1
:(4130:5888:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 0
:(4130:5891:0:0) pci, k10temp, HOST/PCI, Family 12h/14h Processor Function 3
:(4130:5890:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 2
:(5348:18215:6239:1306) pci, bcma-pci-bridge, NETWORK, BCM4313 802.11b/g/n Wireless LAN Controller
:(4098:17312:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 0)
:(4098:17313:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 1)
:(4098:17314:4098:0) pci, pcieport, PCI/PCI, N/A
:(4098:17315:4098:0) pci, pcieport, PCI/PCI, N/A
:(4098:17285:5197:50688) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17309:5197:50688) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:5197:50688) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:5197:50688) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:5197:50688) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:5197:50688) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:5197:50688) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:5197:50688) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4332:33128:5197:50688) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(4130:5394:4130:4660) pci, pcieport, PCI/PCI, Family 14h Processor Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_meter-lv_root / ext4 4096 4096 13091841 12076510 11945460 3276800 3151804 3151804
:/dev/sda1 /boot ext4 1024 1024 508644 426831 401231 128016 127668 127668
:/dev/mapper/vg_meter-lv_home /home ext4 4096 4096 63917307 56432736 53232941 15998976 15706409 15706409
:

var_log_messages:
:Jun 21 11:08:06 meter kernel: [10883.351153] claws-mail[31852]: segfault at 98406c69 ip 0821eee2 sp bfb8bc50 error 4 in claws-mail[8043000+35e000]
:Jun 21 11:08:07 meter abrt[3548]: Saved core dump of pid 31852 (/usr/bin/claws-mail) to /var/spool/abrt/ccpp-2012-06-21-11:08:06-31852 (16506880 bytes)

xsession_errors:
:** (claws-mail:31852): WARNING **: failed to open directory: /etc/skel/.claws-mail
:/home/paul/.claws-mail/clawsrc: fopen: No such file or directory
:/home/paul/.claws-mail/clawsrc: fopen: No such file or directory
:(claws-mail:31852): Gtk-CRITICAL **: IA__gtk_widget_set_tooltip_text: assertion `GTK_IS_WIDGET (widget)' failed
:(claws-mail:31852): Claws-Mail-WARNING **: can't open signature file: /home/paul/.signature
:** (claws-mail:31852): WARNING **: [11:06:39] error occurred on SMTP session
:(claws-mail:31852): Claws-Mail-WARNING **: send: error: 450 4.7.1 <meter>: Helo command rejected: Host not found
:** (claws-mail:31852): WARNING **: [11:06:39] Error occurred while sending the message:
:/home/paul/.claws-mail/imapcache/mail.blinkenshell.org/paul/Drafts: chdir: No such file or directory
Comment 1 Cristian Paul Peñaranda Rojas 2012-06-21 12:22:56 EDT
Created attachment 593499 [details]
File: backtrace
Comment 2 Cristian Paul Peñaranda Rojas 2012-06-21 12:22:58 EDT
Created attachment 593500 [details]
File: maps
Comment 3 Cristian Paul Peñaranda Rojas 2012-06-21 12:23:00 EDT
Created attachment 593501 [details]
File: dso_list
Comment 4 Michael Schwendt 2012-06-21 12:51:17 EDT
> :- So i Clicked on send later
> :
> :- Then tried to close compose windows

As I understand it, after "Send Later" it would have closed automatically. Trying to close it manually while it is waiting to be closed automatically *may* be the reason why the program crashed.

Cannot say for certain, but I've reported a race condition directly in compose_close a year ago: http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=2398

It could be that there's a similar one related to "Send Later" and compose_close.

If it happens reproducibly, somebody could report it to the Claws Mail developers directly (and be able to answer any questions that might come up):
http://www.thewildbeast.co.uk/claws-mail/bugzilla/index.cgi
Comment 5 Fedora End Of Life 2013-07-03 15:41:08 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 14:30:23 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.